Subject: Re: [PATCH 6/24] make atomic_read() behave consistently on frv

From: Chris Snook <[email-masked]>
Date: Thu, 09 Aug 2007 12:54:10 -0400

Chris Snook wrote:
> From: Chris Snook <[email-masked]>
> 
> Make atomic_read() volatile on frv.  This ensures that busy-waiting
> for an interrupt handler to change an atomic_t won't get compiled to an
> infinite loop, consistent with SMP architectures.

To head off the criticism, I admit this is an oversimplification, and true 
busy-waiters should be using cpu_relax(), which contains a barrier.  As 
discussed in recent threads, there are other cases which can be optimized by 
removing the need for a barrier, and having behavior consistent with 
architectures where the benefit is more profound is also valuable.

	-- Chris